unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  pdfhdr;
  
procedure TForm1.Button1Click(Sender: TObject);
var
  Parent: integer;
begin
  with TRolePDF.Create(nil) do
  try
    FileName := 'demo.pdf';
    AutoLaunch := true;
    BeginDoc;
    with Canvas do begin
      Font.Name := 'Tahoma';
      Font.Size := 20;
      Font.Color := clGreen;
      Font.Style := [fsBold];
      TextOut(72, 72, 'Sample Text (tahoma 20)');
      Font.Size := 10;
      Font.Color := clBlack;
      Font.Style := [];
      TextOut(72, 180, 'MoveTo and LineTo example:');
      MoveTo(72, 200);
      LineTo(PageWidth - 72, 200);
      Pen.Color := clRed;
      Pen.Width := 2;
      TextOut(72, 230, 'Rectangle (Pen.Width := 2) example:');
      Rectangle(72, 250, PageWidth - 72, 300);
      TextOut(72, 330, 'Draw image example:');
      Draw(72, 350, Image1.Picture.Bitmap);
      Brush.Color := clYellow;
      TextOut(72, 430, 'FillRect example:');
      FillRect(Rect(72, 450, PageWidth - 72, 500));
    end;
    NewPage;
    with Canvas do begin
      Font.Name := 'Arial';
      Font.Size := 10;
      TextOut(72, 72, 'Sample text for page #2');
    end;
    Parent := AddOutline('Outline Header', -1, 1, -5);
    AddOutline('Sample Page 1', Parent, 1, -5);
    AddOutline('Sample Page 2', Parent, 2, -5);
    EndDoc;
  finally
    Free;
  end;

end;

end.
