{*******************************************************}
{            Free CheckBox descendent classes           }
{ Version:   1.0                                        }
{ E-Mail:    dirso@jrsoftwares.com.br                   }
{ Home Page: www.jrsoftwares.com.br                     }
{ Created:   October 18, 2003                           }
{ Modified:  October 18, 2003                           }
{ Legal:     Copyright (c) 2003, JR Softwares           }
{*******************************************************}
{ Description:						}
{	There are 3 components that should work with	}
{	any Delphi version that supports DataBase	}
{	(1) TJRCheckBox: descendent of TCheckBox class	}
{	- New Features:					}
{		- flat style				}
{		- multine caption			}
{		- different font on get focus		}
{	(2) TJRDBCheckBox: descendent of TDBCheckBox	}
{	- New Features: << same as above >>		}
{	(3) TJRDBCheckBoxMySQL: descendent of 		}
{	TJRCheckBox with full support for TinyInt or 	}
{	Integer field data type				}
{	- MySQL support:				}
{		this component was tested with Zeos 6.0	}
{		and 6.1 native conection to MySQL 4.0 	}
{		and 4.1, but it should works fine under	}
{		ODBC					}
{	- Other Database support:			}
{		it should supports any database protocol}
{		since u connect to a TinyInt or Integer	}
{		field					}
{*******************************************************}
{ CopyRight:						}
{	This software is provided "AS IS" without any 	}
{	warranty and the softhouse is NOT responsible	}
{	for any missuse or any damage it can result into}
{	It can be distributed or modified in anyway but	}
{	this copyright note should be keeped in the	}
{	documentation.					}
{	There are no fees for its use even for comercial}
{	purposes, but an email to tell us how it has	}
{	been used would be great.			}
{*******************************************************}

unit JRFreeCheckBoxReg;

interface

procedure Register;

implementation

uses
  JRCheckBox, JRDBCheckBox, JRDBCheckBoxMySQL, Classes;

procedure Register;
begin
  RegisterComponents('JR Free CheckBox', [TJRCheckBox, TJRDBCheckBox,
        TJRDBCheckBoxMySQL]);
end;

end.
