unit jpmmain;

interface

uses
  	Classes, Forms, ComCtrls, Controls,
  	StdCtrls, JPMFontListBox, JPMFontComboBox, JPMColorComboBox,
  JPMColorListBox;

type
  TForm1 = class(TForm)
    PC: TPageControl;
    Colors: TTabSheet;
    JPMColorListBox1: TJPMColorListBox;
    JPMColorComboBox1: TJPMColorComboBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Fonts: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    JPMFontComboBox1: TJPMFontComboBox;
    JPMFontListBox1: TJPMFontListBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    Label3: TLabel;
    CheckBox8: TCheckBox;
    CheckBox9: TCheckBox;
    CheckBox10: TCheckBox;
    CheckBox11: TCheckBox;
    Label4: TLabel;
    Edit1: TEdit;
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure CheckBox8Click(Sender: TObject);
    procedure CheckBox9Click(Sender: TObject);
    procedure CheckBox10Click(Sender: TObject);
    procedure CheckBox11Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
uses
	JPMFontListObject, JPMFontList, JPMRegIni;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
	JPMColorListBox1.ShowAdditionalColors := CheckBox1.Checked;
	JPMColorComboBox1.ShowAdditionalColors := CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
	JPMColorListBox1.ShowCustomColor := CheckBox2.Checked;
	JPMColorComboBox1.ShowCustomColor := CheckBox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
	JPMColorListBox1.ShowSystemColors := CheckBox3.Checked;
	JPMColorComboBox1.ShowSystemColors := CheckBox3.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
	If CheckBox4.Checked then
	begin
		JPMFontListBox1.Devices := JPMFontListBox1.Devices + [dScreen];
		JPMFontComboBox1.Devices := JPMFontComboBox1.Devices + [dScreen];
	end
	else
	begin
		JPMFontListBox1.Devices := JPMFontListBox1.Devices - [dScreen];
		JPMFontComboBox1.Devices := JPMFontComboBox1.Devices - [dScreen];
	end
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
	If CheckBox5.Checked then
	begin
		JPMFontListBox1.Devices := JPMFontListBox1.Devices + [dPrinter];
		JPMFontComboBox1.Devices := JPMFontComboBox1.Devices + [dPrinter];
	end
	else
	begin
		JPMFontListBox1.Devices := JPMFontListBox1.Devices - [dPrinter];
		JPMFontComboBox1.Devices := JPMFontComboBox1.Devices - [dPrinter];
	end
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
	If CheckBox6.Checked then
	begin
		JPMFontListBox1.FontPitches := JPMFontListBox1.FontPitches + [fpFixed];
		JPMFontComboBox1.FontPitches := JPMFontComboBox1.FontPitches + [fpFixed];
	end
	else
	begin
		JPMFontListBox1.FontPitches := JPMFontListBox1.FontPitches - [fpFixed];
		JPMFontComboBox1.FontPitches := JPMFontComboBox1.FontPitches - [fpFixed];
	end
end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
	If CheckBox7.Checked then
	begin
		JPMFontListBox1.FontPitches := JPMFontListBox1.FontPitches + [fpVariable];
		JPMFontComboBox1.FontPitches := JPMFontComboBox1.FontPitches + [fpVariable];
	end
	else
	begin
		JPMFontListBox1.FontPitches := JPMFontListBox1.FontPitches - [fpVariable];
		JPMFontComboBox1.FontPitches := JPMFontComboBox1.FontPitches - [fpVariable];
	end
end;

procedure TForm1.CheckBox8Click(Sender: TObject);
begin
	If CheckBox8.Checked then
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes + [ftDevice];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes + [ftDevice];
	end
	else
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes - [ftDevice];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes - [ftDevice];
	end
end;

procedure TForm1.CheckBox9Click(Sender: TObject);
begin
	If CheckBox9.Checked then
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes + [ftRaster];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes + [ftRaster];
	end
	else
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes - [ftRaster];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes - [ftRaster];
	end
end;

procedure TForm1.CheckBox10Click(Sender: TObject);
begin
	If CheckBox10.Checked then
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes+ [ftTrueType];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes + [ftTrueType];
	end
	else
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes - [ftTrueType];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes - [ftTrueType];
	end
end;

procedure TForm1.CheckBox11Click(Sender: TObject);
begin
	If CheckBox11.Checked then
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes+ [ftOther];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes + [ftOther];
	end
	else
	begin
		JPMFontListBox1.FontTypes := JPMFontListBox1.FontTypes - [ftOther];
		JPMFontComboBox1.FontTypes := JPMFontComboBox1.FontTypes - [ftOther];
	end
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
	JPMFontListBox1.FontSample := Edit1.Text;
	JPMFontListBox1.Repaint;
	JPMFontComboBox1.FontSample := Edit1.Text;
	JPMFontListBox1.Repaint;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
	PC.ActivePageIndex := 0;
	LoadCustomColorsFromRegistry (DefRegPath, DefRegSection);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
	SaveCustomColorsToRegistry (DefRegPath, DefRegSection);
end;

end.
