unit osTestFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    edtOS: TEdit;
    lblOS: TLabel;
    chkDataCenter: TCheckBox;
    chkAdvancedServer: TCheckBox;
    chkBackOffice: TCheckBox;
    chkSmallBusiness: TCheckBox;
    chkSmallBusinessRestrictive: TCheckBox;
    chkTerminalService: TCheckBox;
    edtServicePack: TEdit;
    lblServicePack: TLabel;
    edtMajorVersion: TEdit;
    lblMajorVersion: TLabel;
    edtMinorVersion: TEdit;
    lblMinorVersion: TLabel;
    edtBuild: TEdit;
    Label1: TLabel;
    edtPlatformID: TEdit;
    lblPlatformID: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses JPMutils;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  case ver.OperatingSystem of
    Win32s : edtOS.Text := 'Win32s';
    WindowsNT40 : edtOS.Text := 'Windows NT 4.0';
    Windows95 : edtOS.Text := 'Windows 95';
    Windows95OSR2 : edtOS.Text := 'Windows 95 OEM Service Release 2';
    Windows98 : edtOS.Text := 'Windows 98';
    Windows98SE : edtOS.Text := 'Windows 98 Second Edition';
    WindowsMe : edtOS.Text := 'Windows Millenium Edition';
    Windows2000Pro : edtOS.Text := 'Windows 2000 Professional';
    Windows2000Server : edtOS.Text := 'Windows 2000 Server';
    Windows200DomainController : edtOS.Text := 'Windows 2000 Domain Controller';
    WindowsXP : edtOS.Text := 'Windows XP';
  end;
  edtServicePack.Text := ver.ServicePack;
  if ver.OperatingSystem in [WindowsXP, Windows2000Pro, Windows2000Server, Windows200DomainController] then
  begin
    chkBackOffice.Checked := BackOffice in ver.InstalledSuites;
    chkDataCenter.Checked := DataCenter in ver.InstalledSuites;
    chkAdvancedServer.Checked := AdvancedServer in ver.InstalledSuites;
    chkSmallBusiness.Checked := SmallBusinessServer in ver.InstalledSuites;
    chkSmallBusinessRestrictive.Checked := SmallBusinessServerRestrictive in ver.InstalledSuites;
    chkTerminalService.Checked := TerminalServices in ver.InstalledSuites;
  end;
  edtMajorVersion.Text := IntToStr( ver.MajorVersion );
  edtMinorVersion.Text := IntToStr( ver.MinorVersion );
  edtBuild.Text := IntToStr( ver.Build );
  edtPlatformId.Text := IntToStr( ver.PlatFormId );
end;

end.
 